interface Props {
    /**
    * Array of text.
    */
    text: string[];
    /**
     * Initial color of the text before fill.
     */
    textColor?: string;
    /**
     * Color which is going to fill the character while scroll.
     *
     * Gradients supported:
     * Syntax : linear-gradient(/value/)
     * E.g. linear-gradient(90deg, #12C2E9 0%, #c471ed 50%, #f64f59 100%)
     */
    fillColor?: string;
    /**
     * Speed to fill/show the text (default 100 means 100%)
     *
     * Gradients supported:
     * Syntax : linear-gradient(/value/)
     * E.g. linear-gradient(90deg, #12C2E9 0%, #c471ed 50%, #f64f59 100%)
     */
    fillSpeed?: number;
    /**
     * Delay to fill/show the text (default 3.5, give more than 1)
     */
    fillDelay?: number;
    /**
     * Direction to fill/show the text
     */
    fillDirection?: 'left-right' | 'top-bottom' | 'slant-top-bottom' | 'slant-bottom-top';
}
declare const TextReveal: ({ text, textColor, fillColor, fillSpeed, fillDelay, fillDirection }: Props) => import("react/jsx-runtime").JSX.Element;
export default TextReveal;
